latest bluez-utils is missing /usr/bin/pand

Bug #192043 reported by Elliot Murphy on 2008-02-15
36
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bluez-utils (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: bluez-utils

/usr/bin/pand is totally missing from the latest bluez-utils package. This makes it very hard to use my internets.

emurphy@jitter-shadow:~$ apt-cache policy bluez-utils
bluez-utils:
  Installed: 3.26-0ubuntu2
  Candidate: 3.26-0ubuntu2
  Version table:
 *** 3.26-0ubuntu2 0
        500 http://archive.ubuntu.com hardy/main Packages
        100 /var/lib/dpkg/status

emurphy@jitter-shadow:~$ dpkg -L bluez-utils
/.
/usr
/usr/bin
/usr/bin/ciptool
/usr/bin/hcitool
/usr/bin/l2ping
/usr/bin/rfcomm
/usr/bin/sdptool
/usr/share
/usr/share/doc
/usr/share/doc/bluez-utils
/usr/share/doc/bluez-utils/examples
/usr/share/doc/bluez-utils/examples/Makefile
/usr/share/doc/bluez-utils/examples/passkey-agent.c.gz
/usr/share/doc/bluez-utils/README.Debian.gz
/usr/share/doc/bluez-utils/copyright
/usr/share/doc/bluez-utils/FAQ.gz
/usr/share/doc/bluez-utils/dbus-api.txt.gz
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/bluez-utils
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/hcitool.1.gz
/usr/share/man/man1/rfcomm.1.gz
/usr/share/man/man1/ciptool.1.gz
/usr/share/man/man1/sdptool.1.gz
/usr/share/man/man5
/usr/share/man/man5/hcid.conf.5.gz
/usr/share/man/man8
/usr/share/man/man8/hcid.8.gz
/usr/share/man/man8/hid2hci.8.gz
/usr/share/man/man8/l2ping.8.gz
/usr/share/man/man8/hciattach.8.gz
/usr/share/man/man8/hciconfig.8.gz
/usr/sbin
/usr/sbin/hciattach
/usr/sbin/hciconfig
/usr/sbin/hcid
/usr/sbin/hid2hci
/etc
/etc/default
/etc/default/bluetooth
/etc/init.d
/etc/init.d/bluetooth
/etc/bluetooth
/etc/bluetooth/hcid.conf
/etc/bluetooth/rfcomm.conf
/etc/dbus-1
/etc/dbus-1/system.d
/etc/dbus-1/system.d/bluetooth.conf
/usr/share/doc/bluez-utils/README
/usr/share/doc/bluez-utils/AUTHORS
/usr/share/doc/bluez-utils/NEWS.Debian.gz
/usr/share/doc/bluez-utils/changelog.Debian.gz

Related branches

Matti Lindell (mlind) wrote :

It seems that at least hidd (bug #191704) and pand went missing since recent upgrade. Binaries are also missing from 3.26-0ubuntu3.

Elliot Murphy (statik) wrote :

There is a bluez-utils package built with --enable-pand added to the configure options available in my PPA for a workaround right now, and it installs /usr/bin/pand! yay, internet. https://launchpad.net/~statik/+archive

Daniel Moerner (dmoerner) wrote :

The posted fix is confirmed to work on my Hardy Heron test machine, using the following bluetooth device:

Bus 002 Device 003: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

And a WM6 Blackjack hacked to support ICS. Thanks a lot!

Id2ndR (id2ndr) on 2008-03-19
Changed in bluez-utils:
status: New → Confirmed
Ryan Waldroop (ryan.waldroop) wrote :

I have the same problem as the original poster, and Elliot Murphy's fix has been working until today. Hardy just released a bunch of upgrades and it broke.

Going into Synaptic, clicking on the bluez packages, and going to package > force version... at the top of synaptic works, plus I have to highlight them all after upgrading and click package > lock version.

Elliot, any chance of bumping up your version number for anyone else who is in the same boat as me?

Elliot Murphy (statik) wrote :

Ryan, sure I can try to do that.
Lamont, would you be willing to make a similar fix as you did for dund for this bug? Just add --enable-pand.
Thanks!

Elliot Murphy (statik) wrote :

Ryan, I've updated the version in my PPA now.

wiz (wiz) wrote :

Any chances this fix will get released in hardy?

wywid (jl-lesieur) wrote :

Confirmed also for me ! I can't connect to internet with my WM6 phone. Please help us !

Thanks.

  • unnamed Edit (606 bytes, text/html; charset=ISO-8859-1)

poppy, see my above posts. Add Elliot Murphy's repositories above, and that
should work. If it doesn't, then follow my directions for forcing Elliot's
version in Synaptic.

On Tue, Apr 8, 2008 at 5:14 PM, poppy <email address hidden> wrote:

> Confirmed also for me ! I can't connect to internet with my WM6 phone.
> Please help us !
>

Brooxta (brooxta) wrote :

Surely this bug ought to be assigned a high priority because the current version for Hardy COMPLETELY breaks previous behaviour with absolutely no notification or documentation as to how to fix the problem via another mechanism.

pand is vital for network connections using bluetooth; all the howtos on the Bluez sites refer to pand when explaining how to get networking up and running over bluetooth. Indeed, the documentation included with the package refers to pand! Currently no mention is made of any alternative mechanism in the documentation.

The obvious fix is to re-include the pand binary! Why was it left out in the first place?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluez-utils - 3.26-0ubuntu6

---------------
bluez-utils (3.26-0ubuntu6) hardy; urgency=low

  * debian/rules
    - Enable hidd and pand as users are experiencing problem without those
    binaries. (LP: #191704, #192043)

 -- Onkar Shinde <email address hidden> Wed, 16 Apr 2008 17:41:18 +0530

Changed in bluez-utils:
status: Confirmed → Fix Released
Brooxta (brooxta) wrote :

Confirm this fix works in bluez-utils 3.26-0ubuntu6 on amd64. I have my pand and hidd back :-) Thanks!

Ryan Waldroop (ryan.waldroop) wrote :

pand and bluez-utils has been working all through hardy, and for most of intrepid, until a recent pand/bluetooth update.

When I try to enter pand --connect (bluetooth address), I get an error saying that pand is not installed, and I should install bluez-utils. The command "locate pand" at first showed that pand was isntalled at /usr/bin/pand (after a fresh install of the beta, plus it was working just a day or two ago), but after running "updatedb" I can now see that /usr/bin/pand is now missing.

Currently installed is bluez-utils version 4.12-0ubuntu2

Should this bug be re-opened for intrepid? Or maybe Elliot Murphy can update the bluez packages in his ppa? Or maybe I'm going about connecting my phone improperly now and someone can help with that? :-)

Also, I've attempted to connect my phone to my computer by going to the bluetooth icon on my panel and clicking "Setup new device...", but that does not detect my phone. My phone does show up properly, however when I run "hcitool scan" from the command line, and my phone can also successfully see and connect to my laptop, but not the other way around.

B. van Laer (bla-dds) wrote :

Same issue here. After upgrade from 8.01 to 8.10 pand nowhere to be fount.

I got pand back by doing:

apt-get install bluez-compat

Hope this helps.

B. van Laer (bla-dds) wrote :

Same issue here. After upgrade from 8.01 to 8.10 pand nowhere to be found.

I got pand back by doing:

apt-get install bluez-compat

Hope this helps.

Ryan Waldroop (ryan.waldroop) wrote :

awesome, thanks for the heads up, bla.

On Fri, Oct 24, 2008 at 7:33 AM, bla <email address hidden> wrote:

> Same issue here. After upgrade from 8.01 to 8.10 pand nowhere to be
> found.
>
> I got pand back by doing:
>
> apt-get install bluez-compat
>
> Hope this helps.
>
> --
> latest bluez-utils is missing /usr/bin/pand
> https://bugs.launchpad.net/bugs/192043
> You received this bug notification because you are a direct subscriber
> of the bug.
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments